curl --request PATCH \
--url https://api.crosoftware.com/v0/customers/{customer_id}/locations/{customer_location_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"account_number_1": "<string>",
"account_number_2": "<string>",
"is_active": true,
"is_commercial": true,
"note": "<string>",
"reference_number": "<string>",
"renewal_date": "2023-11-07T05:31:56Z",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}
'import requests
url = "https://api.crosoftware.com/v0/customers/{customer_id}/locations/{customer_location_id}"
payload = {
"account_number_1": "<string>",
"account_number_2": "<string>",
"is_active": True,
"is_commercial": True,
"note": "<string>",
"reference_number": "<string>",
"renewal_date": "2023-11-07T05:31:56Z",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number_1: '<string>',
account_number_2: '<string>',
is_active: true,
is_commercial: true,
note: '<string>',
reference_number: '<string>',
renewal_date: '2023-11-07T05:31:56Z',
sales_rep: '<string>',
sales_rep_id: '<string>',
suspension_id: 123
})
};
fetch('https://api.crosoftware.com/v0/customers/{customer_id}/locations/{customer_location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_number_1": "<string>",
"account_number_2": "<string>",
"addresses": [
{
"country": "<string>",
"id": 123,
"is_active": true,
"is_billing": true,
"is_physical": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
}
],
"contacts": [
{
"email": "jsmith@example.com",
"fax": "<string>",
"id": 123,
"name": "<string>",
"notify_on_acknowledged_request": true,
"notify_on_completed_request": true,
"notify_on_dispatched_request": true,
"notify_on_failed_request": true,
"notify_on_new_request": true,
"number": "<string>"
}
],
"created_on": "2023-11-07T05:31:56Z",
"id": 123,
"is_active": true,
"last_updated_on": "2023-11-07T05:31:56Z",
"location_id": 123,
"locations": [
{
"created_on": "2023-11-07T05:31:56Z",
"id": 123,
"is_active": true,
"last_updated_on": "2023-11-07T05:31:56Z",
"location_id": 123,
"renewal_date": "2023-11-07T05:31:56Z",
"is_commercial": true,
"note": "<string>",
"reference_number": "<string>",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}
],
"name": "<string>",
"parent_id": 123,
"renewal_date": "2023-11-07T05:31:56Z",
"is_commercial": true,
"note": "<string>",
"reference_number": "<string>",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}Update Customer Location
Update an existing customer location.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Customer identifier.
Customer location identifier
Body
Customer location profile.
Customer account number.
Customer account number.
Records marked inactive are treated as deleted (soft delete).
Commercial address if true, private if false.
Notes (free text).
Reference number (free text).
Renewal date.
Name of sales representative.
Sales rep identifier. May be an integer provider id, the sales user UUID, or the username.
Suspension identifier.
Response
Success
Customer location profile.
Customer account number.
Customer account number.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp of creation (must be in past).
Customer identifier.
Records marked inactive are treated as deleted (soft delete).
Location identifier.
Show child attributes
Show child attributes
Name (free text).
Parent record identifier.
Renewal date.
Commercial address if true, private if false.
Notes (free text).
Reference number (free text).
Name of sales representative.
Sales rep identifier.
Suspension identifier.